curl --request GET \
--url https://semgrep.dev/api/sca/deployments/{deploymentId}/dependencies \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/sca/deployments/{deploymentId}/dependencies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/sca/deployments/{deploymentId}/dependencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dependencies": [
{
"id": "1",
"name": "dependency1",
"version": "1.0.0"
},
{
"id": "2",
"name": "dependency2",
"version": "2.0.0"
}
],
"hasMore": true,
"cursor": "<string>"
}List dependencies
Returns all (or filtered) dependencies for a deployment using pagination
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
123
Query Parameters
Deprecated - use package_filters instead. Filter by dependency name (e.g. lodash).
Deprecated - use package_filters instead. Filter by dependency version (e.g. 1.0.1).
Repository IDs (numeric) to filter by. Omit if the endpoint has Repository ID as a path parameter. Use Projects endpoints to retrieve Repository IDs.
Filter by transitivity.
UNKNOWN_TRANSITIVITY, TRANSITIVE, DIRECT Filter by ecosystem (e.g. npm, pypi, etc).
no_package_manager, npm, pypi, gomod, cargo, maven, gem, composer, nuget, pub, swiftpm, hex, cocoapods, mix, opam Filter by path to the lockfile (e.g. foo/bar/package-lock.json).
Filter by license policy setting outcome.
LICENSE_POLICY_SETTING_UNSPECIFIED, LICENSE_POLICY_SETTING_ALLOW, LICENSE_POLICY_SETTING_COMMENT, LICENSE_POLICY_SETTING_BLOCK Filter by license (e.g. MIT).
When true, return only dependencies from archived repositories. When false or unset (default), archived repositories are excluded.
Cursor to paginate through the dependencies. Provide a cursor value from the response to retrieve the next page.
Number of dependencies per page.
1 <= x <= 100001000
Response
OK
List of dependencies.
Show child attributes
Show child attributes
[
{
"id": "1",
"name": "dependency1",
"version": "1.0.0"
},
{
"id": "2",
"name": "dependency2",
"version": "2.0.0"
}
]
True if there are more dependencies to get.
Pass to next request to get next page of results.
Was this page helpful?